#
#	Convert an AFM file's encoding to .cod format.
#
#	Uses AFM format version 4.1 after "Adobe Font Metrics File Format
#		Specification" (16 October 1995) at ftp://ftp.adobe.com
#
#	Copyright 1996 Richard J. Kinch
#	Kinch, May 1996
#
BEGIN {
    maxcode = 0
    prev_codeval = -1
    val["0"] = 0
    val["1"] = 1
    val["2"] = 2
    val["3"] = 3
    val["4"] = 4
    val["5"] = 5
    val["6"] = 6
    val["7"] = 7
    val["8"] = 8
    val["9"] = 9
    val["a"] = 10
    val["A"] = 10
    val["b"] = 11
    val["B"] = 11
    val["c"] = 12
    val["C"] = 12
    val["d"] = 13
    val["D"] = 13
    val["e"] = 14
    val["E"] = 14
    val["f"] = 15
    val["F"] = 15
    }
/^[ 	]*StartCharMetrics/ { started = 1 ; next }
/^[ 	]*Comment/ { next }
/^[ 	]*EndCharMetrics/ { exit }
{
#   Skip until we get StartCharMetrics line
    if (!started) next
#   Parse char metrics lines for code and name
    codestr = "" ; codeval = 0 ; name = ""
    for (i=1; i<=NF; i++) {
	if ($i=="C") {
	    codestr = $(i+1)
	    codeval = codestr + 0
	    i++
	    }
	else if ($i=="CH") {
	    codestr = $(i+1)
	    codeval = 0
	    for (j=2; j<length(codestr); j++) {
		codeval *= 16;
		codeval += val[substr(codestr,j,1)]
		}
	    i++
	    }
	else if ($i~"N") { name = $(i+1) ; i++ }
	}
#   Skip unencoded characters
    if (codeval<0) next
#   Catch up to this 7- or 8-bit code with .notdefs
    if (codeval<256 && (prev_codeval+1)<codeval) {
	for (i=prev_codeval+1; i<codeval; i++) {
	    printf "%02x	.notdef\n",i
	    }
	}
#   Output this code/name pair
    if (codeval<256) printf "%02x	%s\n", codeval, name
    else printf "%04x	%s\n", codeval, name
    prev_codeval = codeval
    }
