#
#	Convert a .cod file to AFM (Adobe Font Metric) format.  Outputs a
#	valid AFM file containing only the minimum required entries to express
#	an encoding; however the StartCharMetrics count will be zero (you
#	should edit it if true value is needed).
#
#	Uses AFM format version 4.1 after "Adobe Font Metrics File Format
#		Specification" (16 October 1995) at ftp://ftp.adobe.com
#
#	Copyright 1996 Richard J. Kinch
#	Kinch, May 1996
#
BEGIN {
	AFM_VERSION = "4.1"
	STAND_IN_FONT_NAME = "DummyFontForEncodingTable"
#	Hex to decimal conversion table
	val["0"] = 0 ; val["1"] = 1 ; val["2"] = 2 ; val["3"] = 3 ;
	val["4"] = 4 ; val["5"] = 5 ; val["6"] = 6 ; val["7"] = 7 ;
	val["8"] = 8 ; val["9"] = 9 ; val["a"] = 10 ; val["A"] = 10 ;
	val["b"] = 11 ; val["B"] = 11 ; val["c"] = 12 ; val["C"] = 12 ;
	val["d"] = 13 ; val["D"] = 13 ; val["e"] = 14 ; val["E"] = 14 ;
	val["f"] = 15 ; val["F"] = 15 ;
	}
/^[ 	]*$/ { next }
/^[ 	]*[#]/ { printf "Comment %s\n",substr($0,index($0,"#")+1) }
/^[ 	]*[%]/ { printf "Comment %s\n",substr($0,index($0,"%")+1) }
/^[	 ]*[A-Fa-f0-9][A-Fa-f0-9]*[	 ]/ {
	if ($2~".notdef") next
	if (!started) {
	    printf "StartFontMetrics %s\n", AFM_VERSION
	    printf "Comment This is an automatic conversion of .cod to .afm\n"
	    printf "Comment Via codtoafm.awk Copyright 1996 Richard J. Kinch\n"
	    printf "FontName %s\n", STAND_IN_FONT_NAME
	    printf "FontBBox 0 0 0 0\n"
	    printf "StartCharMetrics 0\n"
	    started = 1
	    }
	printf "CH <%s> ; N %s ;\n",$1,$2
	}
END {
	if (started) {
	    printf "EndCharMetrics\n"
	    printf "EndFontMetrics\n"
	    }
	else {
	    printf "Comment The input .cod file contained no encoding pairs!\n"
	    }
	}
