#
#	Decimal-to-hex conversion for .cod files
#
#	Any line starting with '[' gets the following 1-3 digits converted
#	from decimal to hex, and only the hex is output (a la .cod files)
#	Any other lines are echoed unchanged.  This is useful for editing
#	METAFONT .log files into .cod files.
#
#	Copyright 1996 Richard J. Kinch
#	Kinch, August 1995
#
BEGIN {
    val[0] = "0"
    val[1] = "1"
    val[2] = "2"
    val[3] = "3"
    val[4] = "4"
    val[5] = "5"
    val[6] = "6"
    val[7] = "7"
    val[8] = "8"
    val[9] = "9"
    val[10] = "a"
    val[11] = "b"
    val[12] = "c"
    val[13] = "d"
    val[14] = "e"
    val[15] = "f"
    }
/\[/ {	n = substr($1,2,length($1)-2)
	printf "%s%s", val[int(n/16)], val[n%16]
	for (i=2; i<=NF; i++) printf "	%s", $i
	printf "\n"
	next }
{ print }
