#
#	Create a ZIP archive of TrueTeX encoding files, e.g., for export
#
#	Copyright 1996 Richard J. Kinch
#	Kinch, May 1996
#
if [ -f encfiles.zip ]
then
    echo "File encfiles.zip exists ... delete it first" 1>&2
    exit 0
fi
pkzip encfiles `cat encfiles.lst` *.cop

for i in [a-zA-Z0-9]*.cod
do
    base=`basename $i .cod`
    if [ -f $base.afm ]
    then
	echo "Warning: using existing $base.afm instead of converting $base.cod" 2>&1
	pkzip encfiles $base.afm
    else
#	Copy comments for this encoding name into top of AFM file
	grep "$base" readme | sed 's/^/Comment /' > $base.afm
#	Copy copyright notice from readme to top of AFM file
	grep '^\+' readme | sed 's/^\+/Comment /' >> $base.afm
	awk -f codtoafm.awk $base.cod >> $base.afm
	pkzip encfiles $base.afm
	rm -f $base.afm
    fi
done

