#
#	Map TeX font external name to encoding file names; we output
#	a string "input-encoding output-encoding number-of-characters"
#	for use in font conversion.
#
#	Note: The output encoding "texadhoc" is a magic word indicating that
#	the output encoding is to match the input encoding, except for
#	certain exceptions implied by the "TeX ad hoc" scheme, namely,
#	(1) a 128-glyph character set, (2) characters 0-31 are multiply
#	encoded at positions 160, etc., and (3) "space" is imposed onto
#	code 32.
#
#	Copyright 1996 Richard J. Kinch
#	Kinch, March 1993, March 1995, February 1996, December 2000
#
U="UNKNOWN_ENCODING"
for f in $*
do
    case "$f" in
	cmb10) echo 'roman2 roman2o 128'; continue ;;
	cmbsy10) echo 'mathsy2 mathsy2o 128'; continue ;;
	cmbsy5) echo 'mathsy1 mathsy1o 128'; continue ;;
	cmbsy6) echo 'mathsy2 mathsy2o 128'; continue ;;
	cmbsy7) echo 'mathsy2 mathsy2o 128'; continue ;;
	cmbsy8) echo 'mathsy2 mathsy2o 128'; continue ;;
	cmbsy9) echo 'mathsy2 mathsy2o 128'; continue ;;
	cmbx10) echo 'roman2 roman2o 128'; continue ;;
	cmbx12) echo 'roman2 roman2o 128'; continue ;;
	cmbx5) echo 'roman2 roman2o 128'; continue ;;
	cmbx6) echo 'roman2 roman2o 128'; continue ;;
	cmbx7) echo 'roman2 roman2o 128'; continue ;;
	cmbx8) echo 'roman2 roman2o 128'; continue ;;
	cmbx9) echo 'roman2 roman2o 128'; continue ;;
	cmbxsl10) echo 'roman2 roman2o 128'; continue ;;
	cmbxti10) echo 'textit2 textit2o 128'; continue ;;
	cmcsc10) echo 'csc1 csc1o 128'; continue ;;
	cmcsc8) echo 'csc1 csc1o 128'; continue ;;
	cmcsc9) echo 'csc1 csc1o 128'; continue ;;
	cmdunh10) echo 'roman2 roman2o 128'; continue ;;
	cmex10) echo 'mathex2 mathex2o 128'; continue ;;
	cmex7) echo 'mathex2 mathex2o 128'; continue ;;
	cmex8) echo 'mathex2 mathex2o 128'; continue ;;
	cmex9) echo 'mathex2 mathex2o 128'; continue ;;
	cmff10) echo 'roman2 roman2o 128'; continue ;;
	cmfi10) echo 'textit2 textit2o 128'; continue ;;
	cmfib8) echo 'roman2 roman2o 128'; continue ;;
	cminch) echo 'title2 title2o 128'; continue ;;
	cmitt10) echo 'textit0o 128'; continue ;;
	cmmi10) echo 'mathit2 mathit2o 128'; continue ;;
	cmmi12) echo 'mathit2 mathit2o 128'; continue ;;
	cmmi5) echo 'mathit2 mathit2o 128'; continue ;;
	cmmi6) echo 'mathit2 mathit2o 128'; continue ;;
	cmmi7) echo 'mathit2 mathit2o 128'; continue ;;
	cmmi8) echo 'mathit2 mathit2o 128'; continue ;;
	cmmi9) echo 'mathit2 mathit2o 128'; continue ;;
	cmmib10) echo 'mathit2 mathit2o 128'; continue ;;
	cmmib5) echo 'mathit2 mathit2o 128'; continue ;;
	cmmib6) echo 'mathit2 mathit2o 128'; continue ;;
	cmmib7) echo 'mathit2 mathit2o 128'; continue ;;
	cmmib8) echo 'mathit2 mathit2o 128'; continue ;;
	cmmib9) echo 'mathit2 mathit2o 128'; continue ;;
	cmmr10) echo 'mathit2 mathit2o 128'; continue ;;
	cmmb10) echo 'mathit2 mathit2o 128'; continue ;;
	cmr10) echo 'roman2 roman2o 128'; continue ;;
	cmr12) echo 'roman2 roman2o 128'; continue ;;
	cmr17) echo 'roman2 roman2o 128'; continue ;;
	cmr5) echo 'roman1 roman1o 128'; continue ;;
	cmr6) echo 'roman2 roman2o 128'; continue ;;
	cmr7) echo 'roman2 roman2o 128'; continue ;;
	cmr8) echo 'roman2 roman2o 128'; continue ;;
	cmr9) echo 'roman2 roman2o 128'; continue ;;
	cmsl10) echo 'roman2 roman2o 128'; continue ;;
	cmsl12) echo 'roman2 roman2o 128'; continue ;;
	cmsl8) echo 'roman2 roman2o 128'; continue ;;
	cmsl9) echo 'roman2 roman2o 128'; continue ;;
	cmsltt10) echo 'roman0 roman0o 128'; continue ;;
	cmss10) echo 'roman2 roman2o 128'; continue ;;
	cmss12) echo 'roman2 roman2o 128'; continue ;;
	cmss17) echo 'roman2 roman2o 128'; continue ;;
	cmss8) echo 'roman2 roman2o 128'; continue ;;
	cmss9) echo 'roman2 roman2o 128'; continue ;;
	cmssbx10) echo 'roman2 roman2o 128'; continue ;;
	cmssdc10) echo 'roman2 roman2o 128'; continue ;;
	cmssi10) echo 'roman2 roman2o 128'; continue ;;
	cmssi12) echo 'roman2 roman2o 128'; continue ;;
	cmssi17) echo 'roman2 roman2o 128'; continue ;;
	cmssi8) echo 'roman2 roman2o 128'; continue ;;
	cmssi9) echo 'roman2 roman2o 128'; continue ;;
	cmssq8) echo 'roman2 roman2o 128'; continue ;;
	cmssqi8) echo 'roman2 roman2o 128'; continue ;;
	cmsy10) echo 'mathsy2 mathsy2o 128'; continue ;;
	cmsy5) echo 'mathsy1 mathsy1o 128'; continue ;;
	cmsy6) echo 'mathsy2 mathsy2o 128'; continue ;;
	cmsy7) echo 'mathsy2 mathsy2o 128'; continue ;;
	cmsy8) echo 'mathsy2 mathsy2o 128'; continue ;;
	cmsy9) echo 'mathsy2 mathsy2o 128'; continue ;;
	cmtcsc10) echo 'csc0 csc0o 128'; continue ;;
	cmtex10) echo 'texset0 texset0o 128'; continue ;;
	cmtex8) echo 'texset0 texset0o 128'; continue ;;
	cmtex9) echo 'texset0 texset0o 128'; continue ;;
	cmti10) echo 'textit2 textit2o 128'; continue ;;
	cmti12) echo 'textit2 textit2o 128'; continue ;;
	cmti7) echo 'textit2 textit2o 128'; continue ;;
	cmti8) echo 'textit2 textit2o 128'; continue ;;
	cmti9) echo 'textit2 textit2o 128'; continue ;;
	cmtt10) echo 'roman0 roman0o 128'; continue ;;
	cmtt12) echo 'roman0 roman0o 128'; continue ;;
	cmtt8) echo 'roman0 roman0o 128'; continue ;;
	cmtt9) echo 'roman0 roman0o 128'; continue ;;
	cmu10) echo 'textit2 textit2o 128'; continue ;;
	cmvtt10) echo 'roman2 roman2o 128'; continue ;;
	lasy10) echo 'lasy lasyo 128'; continue ;;
	lasy5) echo 'lasy lasyo 128'; continue ;;
	lasy6) echo 'lasy lasyo 128'; continue ;;
	lasy7) echo 'lasy lasyo 128'; continue ;;
	lasy8) echo 'lasy lasyo 128'; continue ;;
	lasy9) echo 'lasy lasyo 128'; continue ;;
	lasyb10) echo 'lasy lasyo 128'; continue ;;
	lcircle1|lcircle10) echo 'lcircle lcirlceo 128'; continue ;;
	lcirclew|lcirclew10) echo 'lcircle lcirlceo 128'; continue ;;
	line10) echo 'line lineo 128'; continue ;;
	linew10) echo 'line lineo 128'; continue ;;
	logo10) echo 'logo logoo 128'; continue ;;
	logo8) echo 'logo logoo 128'; continue ;;
	logo9) echo 'logo logoo 128'; continue ;;
	logobf10) echo 'logo logoo 128'; continue ;;
	logosl10) echo 'logo logoo 128'; continue ;;
	manfnt) echo 'manfnt manfnto 128'; continue ;;
	msam10) echo 'msam msamo 128'; continue ;;
	msbm10) echo 'msbm msamo 128'; continue ;;
	dccsc*|dctcsc*) echo 't1csc belleekc 256'; continue ;;
	dc*) echo 't1 belleek 256'; continue ;;
	ec*) echo 't1 t1 256'; continue ;;
	tc*) echo 'tc tc 256'; continue ;;
	euex*) echo 'euex euexo 128'; continue ;;
	eufb*) echo 'eufb eufbo 128'; continue ;;
	eufm*) echo 'eufm eufmo 128'; continue ;;
	eurb*) echo 'eur euro 128'; continue ;;
	eurm*) echo 'eur euro 128'; continue ;;
	eusb*) echo 'eus euso 128'; continue ;;
	eusm*) echo 'eus euso 128'; continue ;;
	musix16) echo 'musix musix 256'; continue ;;
	lams*) echo 'unknown unknown 128'; continue ;;
	lcmss*) echo 'roman2 roman2o 128'; continue ;;
	um*) echo 'psa psa 256'; continue ;;
	kinch) echo 'kinch kinch 256'; continue ;;
	alaml*) echo 'unknown unknown 256'; continue ;;
	*) echo 'unknown unknown 0'; continue ;;
    esac
done
